<?php

$wp_customize->add_panel(
	'lz_fitness_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'Luzuk Premium')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'Luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );



//HEADER LOGO MARGIN SETTINGS



//HEADER SETTINGS
$wp_customize->add_section(
	'lz_fitness_header_settings',
	array(
		'title' => __( 'Header Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);
	//ENABLE/DISABLE STICKY HEADER
// $wp_customize->add_setting(
// 	'lz_fitness_sticky_header_enable',
// 	array(
// 		'sanitize_callback' => 'lz_fitness_sanitize_text',
// 		'default' => 'off'
// 	)
// );
// $wp_customize->add_control(
// 	new lz_fitness_Switch_Control(
// 		$wp_customize,
// 		'lz_fitness_sticky_header_enable',
// 		array(
// 			'settings'		=> 'lz_fitness_sticky_header_enable',
// 			'section'		=> 'lz_fitness_header_settings',
// 			'label'			=> __( 'Sticky Header', 'Luzuk Premium' ),
// 			'on_off_label' 	=> array(
// 				'on' => __( 'Enable', 'Luzuk Premium' ),
// 				'off' => __( 'Disable', 'Luzuk Premium' )
// 			)	
// 		)
// 	)
// );

$sectionHeader = 'lz_fitness_header_settings';

lzCustomLable($wp_customize, 'lz_fitness_header_toppadsettings', $sectionHeader, 'Set Top Header Padding');

$wp_customize->add_setting(
	'pages_logoTpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '15px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoTpadding',
	array(
		'settings'      => 'pages_logoTpadding',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Top Header Top Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoBpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '15px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoBpadding',
	array(
		'settings'      => 'pages_logoBpadding',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Top Header Bottom Padding', 'lz-fitness-premium' )
	)
);

$wp_customize->add_setting(
	'pages_logoLpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '00px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoLpadding',
	array(
		'settings'      => 'pages_logoLpadding',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Top Header Left Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoRpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '00px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoRpadding',
	array(
		'settings'      => 'pages_logoRpadding',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Top Header Right Padding', 'lz-fitness-premium' )
	)
);

lzCustomLable($wp_customize, 'lz_fitness_header_settings', $sectionHeader, 'Add Email & Phone Text');


$wp_customize->add_setting(
	'lz_fitness_headermain_email',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'needhelp@Petcare.com', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_email',
	array(
		'settings'      => 'lz_fitness_headermain_email',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Add Email Address Here:', 'lz-fitness-premium' )
	)
);

$wp_customize->add_setting(
	'lz_fitness_headermain_emaillabel',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Emailaddress', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_emaillabel',
	array(
		'settings'      => 'lz_fitness_headermain_emaillabel',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Add Email Label Here:', 'lz-fitness-premium' )
	)
);


$wp_customize->add_setting(
	'lz_fitness_headermain_phone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '666 888 0000', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_phone',
	array(
		'settings'      => 'lz_fitness_headermain_phone',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Add Phone Number Here:', 'lz-fitness-premium' )
	)
);


$wp_customize->add_setting(
	'lz_fitness_headermain_phonelabel',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Phone line', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_phonelabel',
	array(
		'settings'      => 'lz_fitness_headermain_phonelabel',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Add Phone Label Here:', 'lz-fitness-premium' )
	)
);
addColorPalatOption($wp_customize, 'lz_fitness_header_emailndphoneIconsColor', 'lz_fitness_header_settings', ' Email & Phone Icon color', '#fbb34d');

addColorPalatOption($wp_customize, 'lz_fitness_header_emailndphoneTxtColor', 'lz_fitness_header_settings', ' Email Id & Phone Text color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_header_emailndTxtHvrColor', 'lz_fitness_header_settings', ' Email Text Hover color', '#ff7c4e');

addColorPalatOption($wp_customize, 'lz_fitness_header_emailndphonelabelColor', 'lz_fitness_header_settings', ' Email Id & Phone Label color', '#e0d8d5');

addColorPalatOption($wp_customize, 'lz_fitness_header_topheaderbgsscColor', 'lz_fitness_header_settings', 'Top Header Background color', '#3b3634');


lzCustomLable($wp_customize, 'lz_fitness_headerlogo_margin', 'lz_fitness_header_settings', ' Site Header Logo Padding Setting:');

$wp_customize->add_setting(
	'pages_logoTmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '40px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoTmargin',
	array(
		'settings'      => 'pages_logoTmargin',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Top Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoBmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '40px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoBmargin',
	array(
		'settings'      => 'pages_logoBmargin',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Bottom Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoLmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '85px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoLmargin',
	array(
		'settings'      => 'pages_logoLmargin',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Left Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoRmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '85px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoRmargin',
	array(
		'settings'      => 'pages_logoRmargin',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Right Padding', 'lz-fitness-premium' )
	)
);



lzCustomLable($wp_customize, 'lz_fitness_header_logoboxpositionsettings', $sectionHeader, 'Set Logo Box Position from top');
 
$wp_customize->add_setting(
	'pages_logoboxtoppostionset',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '30px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoboxtoppostionset',
	array(
		'settings'      => 'pages_logoboxtoppostionset',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Top', 'lz-fitness-premium' )
	)
);

addColorPalatOption($wp_customize, 'lz_fitness_header_logoboxbgssColor', 'lz_fitness_header_settings', 'Header Logo box background color', '#ffffff');




addColorPalatOption($wp_customize, 'lz_fitness_header_topmenusColor', 'lz_fitness_header_settings', 'Header Menus color', '#3b3634');
addColorPalatOption($wp_customize, 'lz_fitness_header_topmenushoverColor', 'lz_fitness_header_settings', 'Header Menus Hover color', '#ff7c4e');

addColorPalatOption($wp_customize, 'lz_fitness_header_activeheademenusColor', 'lz_fitness_header_settings', 'Active Menu color', '#ff7c4e');


addColorPalatOption($wp_customize, 'lz_fitness_header_topsubmenusbackgroundColor', 'lz_fitness_header_settings', 'Header Dropdown Background color', '#f2f1f0');

addColorPalatOption($wp_customize, 'lz_fitness_header_topmenusiconColor', 'lz_fitness_header_settings', 'Header Sub Menu Icon color', '#ccc');
addColorPalatOption($wp_customize, 'lz_fitness_header_topmenusiconhoverColor', 'lz_fitness_header_settings', 'Header Sub Menu Icon Hover color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_header_topsubmenusColor', 'lz_fitness_header_settings', 'Header Sub Menus color', '#3b3634');
addColorPalatOption($wp_customize, 'lz_fitness_header_topsubmenushvrColor', 'lz_fitness_header_settings', 'Header Sub Menu Hover color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_header_topsubmenusbgsshvrColor', 'lz_fitness_header_settings', 'Header Sub Menu Hover background color', '#ff7c4e');
addColorPalatOption($wp_customize, 'lz_fitness_header_activesubmenuColor', 'lz_fitness_header_settings', 'Header Active Sub Menu color', '#121212');


lzCustomLable($wp_customize, 'lz_fitness_header_bottpadsettings', $sectionHeader, 'Set Bottom Header Padding');

$wp_customize->add_setting(
	'pages_BottomHeaderTpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '22px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_BottomHeaderTpadding',
	array(
		'settings'      => 'pages_BottomHeaderTpadding',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Bottom Header Top Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'pages_BottomHeaderBpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '22px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_BottomHeaderBpadding',
	array(
		'settings'      => 'pages_BottomHeaderBpadding',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Bottom Header Bottom Padding', 'lz-fitness-premium' )
	)
);

$wp_customize->add_setting(
	'pages_BottomHeaderLpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '00px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_BottomHeaderLpadding',
	array(
		'settings'      => 'pages_BottomHeaderLpadding',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Bottom Header Left Padding', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'pages_BottomHeaderRpadding',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '00px', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'pages_BottomHeaderRpadding',
	array(
		'settings'      => 'pages_BottomHeaderRpadding',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'text',
		'label'         => __( 'Bottom Header Right Padding', 'lz-fitness-premium' )
	)
);
addColorPalatOption($wp_customize, 'lz_fitness_header_bottomheaderbgssColor', 'lz_fitness_header_settings', 'Bottom Header Background color', '#f2f1f0');


// Adding the Label
lzCustomLable($wp_customize, 'lz_fitness_header_lblsocialtxt', $sectionHeader, 'Add Social Media Links');
// TWITTER
$wp_customize->add_setting('lz_fitness_header_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_tw',
	array(
		'settings'      => 'lz_fitness_header_tw',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Add Twitter Url Here', 'lz-fitness-premium' )
	)
);

// FACEBOOK 
$wp_customize->add_setting('lz_fitness_header_fb',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_fb',
	array(
		'settings'      => 'lz_fitness_header_fb',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Add Facebook Url Here', 'lz-fitness-premium' )
	)
);

// Instagram
$wp_customize->add_setting('lz_fitness_header_insta', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_header_insta',
	array(
		'settings'      => 'lz_fitness_header_insta',
		'section'       => 'lz_fitness_header_settings',
		'type'          => 'url',
		'label'         => __( 'Add Instagram Url Here', 'tattooexpert' )
	)
); 

addColorPalatOption($wp_customize, 'lz_fitness_header_socialscColor', 'lz_fitness_header_settings', 'Twitter Icon color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_header_TwittersocialscColor', 'lz_fitness_header_settings', 'Twitter Icon Background color', '#ff7c4e');
addColorPalatOption($wp_customize, 'lz_fitness_header_TwitterhoversocialscColor', 'lz_fitness_header_settings', 'Twitter Icon Hover Background color', '#ff7c4e');

addColorPalatOption($wp_customize, 'lz_fitness_header_facebooksocialscColor', 'lz_fitness_header_settings', 'Facebook Icon color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_header_FacebooksocialscColor', 'lz_fitness_header_settings', 'Facebook Icon Background color', '#fbb34d');
addColorPalatOption($wp_customize, 'lz_fitness_header_FacebooksocialshvrcColor', 'lz_fitness_header_settings', 'Facebook Icon Hover Background color', '#fbb34d');

addColorPalatOption($wp_customize, 'lz_fitness_header_instagramsocialscColor', 'lz_fitness_header_settings', 'Instagram Icon color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_header_InstasocialscColor', 'lz_fitness_header_settings', 'Instagram Icon Background color', '#4d93fb');
addColorPalatOption($wp_customize, 'lz_fitness_header_InstasocialshvrcColor', 'lz_fitness_header_settings', 'Instagram Icon Hover Background color', '#4d93fb');

lzCustomLable($wp_customize, 'lz_fitness_header_colorsfortabandmobview', $sectionHeader, 'Colors For Tablet & Mobile View');

addColorPalatOption($wp_customize, 'lz_fitness_header_respnavbsbgssColor', 'lz_fitness_header_settings', 'Set Navigation Box Background Color for Tablet and Mobile View', '#ff7c4e');

addColorPalatOption($wp_customize, 'lz_fitness_header_activemenubgsscColor', 'lz_fitness_header_settings', 'Active Menu Background color for Tablet and Mobile View', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_header_respnavtoggbarbgssColor', 'lz_fitness_header_settings', 'Toggole Bar color for Tablet and Mobile View', '#ff7c4e');
//addColorPalatOption($wp_customize, 'lz_fitness_header_respnavtoggbaractivebgssColor', 'lz_fitness_header_settings', 'Active Toggole Bar color for Tablet and Mobile View', '#ff7c4e');

addColorPalatOption($wp_customize, 'lz_fitness_header_respsocialbxbgssc', 'lz_fitness_header_settings', 'Social Box Background color for Tablet and Mobile View', '#ffffff');


//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'Luzuk Premium'),
	'panel' => 'lz_fitness_general_panel',
) );

    $wp_customize->add_setting('luzuk_premium_color_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_color_section_lbl',
        array(
            'settings'      => 'luzuk_premium_color_section_lbl',
            'section'       => 'colors',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);

//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'lz_fitness_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'lz_fitness_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 

$wp_customize->add_setting(
        'lz_fitness_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_breadcrumbhometxt',
        array(
            'settings'      => 'lz_fitness_breadcrumbhometxt',
            'section'       => 'lz_fitness_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here:', 'luzuk' )
        )
    );

//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbtitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox title color', '#000');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbcurrenttitlecolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox current title color', '#fbb34d');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbcurrenttitlehovercolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox current title hover color', '#121212');

//Inner page breadcrumbbox background color
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbbgcolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox background color', '#fff');
addColorPalatOption($wp_customize, 'lz_fitness_template_innerpage_breadcrumbbgbordercolor', 'lz_fitness_breadcrumb_settings', 'Inner page breadcrumbbox border color', '#ccc');

// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'lz_fitness_postpagedate_settings',
	array(
		'title' => __( 'Postpage Date Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

   $wp_customize->add_setting('luzuk_premium_postpage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_postpage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_postpage_section_lbl',
            'section'       => 'lz_fitness_postpagedate_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);

//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'lz_fitness_footer_copyright_settings',
	array(
		'title' => __( 'Footer Copyright Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

$wp_customize->add_setting(
	'lz_fitness_footer_copyrighttext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '© 2019 Copyrights, by the-pet-clinic.com', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_footer_copyrighttext',
	array(
		'settings'      => 'lz_fitness_footer_copyrighttext',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'text',
		'label'         => __( 'Footer Copyright Text', 'Luzuk Premium' )
	)
);

backgroundManager($wp_customize, 'footer', 'lz_fitness_footer_copyright_settings', $color='#f2f1f0');
addColorPalatOption($wp_customize, 'lz_fitness_footercompletebordess_color', 'lz_fitness_footer_copyright_settings', 'Footer Border Color', '#ffffff');

lzCustomLable($wp_customize, 'lz_fitness_footer_logoimgbx', 'lz_fitness_footer_copyright_settings', 'Set Left Image For upper footer');

$wp_customize->add_setting(
        'lz_fitness_footerlogo_image_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_footerlogo_image_heading',
            array(
                'settings'      => 'lz_fitness_footerlogo_image_heading',
                'section'       => 'lz_fitness_footer_copyright_settings',
                'label'         => __( 'Left Image', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_footerlogo_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_footerlogo_image',
            array(
                'section' => 'lz_fitness_footer_copyright_settings',
                'settings' => 'lz_fitness_footerlogo_image',
                'description' => __('Recommended Image Size: 649X687px', 'lz-fitness-premium')
            )
        )
    );

lzCustomLable($wp_customize, 'footerupperrowremove_button_displaysets', 'lz_fitness_footer_copyright_settings', 'Remove Logo & Social Box:');

// to show & hide another button
$wp_customize->add_setting( 'footerupperrowremove_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'footerupperrowremove_button_display', array( 'label' => 'Upper Footer Dispaly Settings:', 'section' => 'lz_fitness_footer_copyright_settings', 'settings' => 'footerupperrowremove_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Upper Footer', 'hide' => 'Hide Upper Footer', ), ) ); 
// end to show & hide button




lzCustomLable($wp_customize, 'footerlogoremove_button_displaysets', 'lz_fitness_footer_copyright_settings', 'Footer Image Display Setting:');

// to show & hide another button
$wp_customize->add_setting( 'footerlogoremove_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'footerlogoremove_button_display', array( 'label' => 'Footer Image Display', 'section' => 'lz_fitness_footer_copyright_settings', 'settings' => 'footerlogoremove_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Image', 'hide' => 'Hide Image', ), ) ); 
// end to show & hide button


lzCustomLable($wp_customize, 'lz_fitness_footer_lblsocialtxt', 'lz_fitness_footer_copyright_settings', 'Add Social Media Links');
// TWITTER
$wp_customize->add_setting('lz_fitness_footer_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_footer_tw',
	array(
		'settings'      => 'lz_fitness_footer_tw',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'url',
		'label'         => __( 'Add Twitter Url Here', 'lz-fitness-premium' )
	)
);

// FACEBOOK 
$wp_customize->add_setting('lz_fitness_footer_fb',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_footer_fb',
	array(
		'settings'      => 'lz_fitness_footer_fb',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'url',
		'label'         => __( 'Add Facebook Url Here', 'lz-fitness-premium' )
	)
);

// Instagram
$wp_customize->add_setting('lz_fitness_footer_insta', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_footer_insta',
	array(
		'settings'      => 'lz_fitness_footer_insta',
		'section'       => 'lz_fitness_footer_copyright_settings',
		'type'          => 'url',
		'label'         => __( 'Add Instagram Url Here', 'tattooexpert' )
	)
); 

addColorPalatOption($wp_customize, 'lz_fitness_upperfootersocials_color', 'lz_fitness_footer_copyright_settings', 'Footer Socials Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_twitterfootersocialbgc_color', 'lz_fitness_footer_copyright_settings', 'Twitter icon background Color', '#ff7c4e');
addColorPalatOption($wp_customize, 'lz_fitness_footerfbsocibg_color', 'lz_fitness_footer_copyright_settings', 'Facebook icon background Color', '#fbb34d');
addColorPalatOption($wp_customize, 'lz_fitness_footerinstasocibg_color', 'lz_fitness_footer_copyright_settings', 'Instagram icon background Color', '#4d93fb');



lzCustomLable($wp_customize, 'lz_fitness_sec_footersectionpadding', 'lz_fitness_footer_copyright_settings', 'Set Footer Margin:');

$wp_customize->add_setting(
    'sec_footerseTmargin', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseTmargin',
    array(
        'settings'      => 'sec_footerseTmargin',
        'section'       => 'lz_fitness_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Top Margin', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_footersebottommargin',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_footersebottommargin',
    array(
        'settings'      => 'sec_footersebottommargin',
        'section'       => 'lz_fitness_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Bottom Margin', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'sec_footerseLmargin',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseLmargin',
    array(
        'settings'      => 'sec_footerseLmargin',
        'section'       => 'lz_fitness_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Left Margin', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_footerseRmargin',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseRmargin',
    array(
        'settings'      => 'sec_footerseRmargin',
        'section'       => 'lz_fitness_footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Footer Right Margin', 'lz-fitness-premium' )
    )
);

//theme Footer title Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_title_color', 'lz_fitness_footer_copyright_settings', 'Footer Title Color', '#3b3634');

//theme Footer icon Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_icon_color', 'lz_fitness_footer_copyright_settings', 'Footer Icon Color', '#615d5c');
//theme Footer icon hover Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_iconhover_color', 'lz_fitness_footer_copyright_settings', 'Footer Icon Hover Color', 'ff7c4e');

//theme Footer text Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_text_color', 'lz_fitness_footer_copyright_settings', 'Footer Text Color', '#696665');
addColorPalatOption($wp_customize, 'lz_fitness_footer_hglightsctext_color', 'lz_fitness_footer_copyright_settings', 'Footer Hightlight Text Color', '#ff7c4e');

//theme Footer menu Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_menuicon_color', 'lz_fitness_footer_copyright_settings', 'Footer Menu Icon & Count Text Color', '#615d5c');
addColorPalatOption($wp_customize, 'lz_fitness_footer_menuiconhvr_color', 'lz_fitness_footer_copyright_settings', 'Footer Menu Icon & Count Text Hover Color', '#ff7c4e');

addColorPalatOption($wp_customize, 'lz_fitness_footer_menu_color', 'lz_fitness_footer_copyright_settings', 'Footer Menu Color', '#696665');

//theme Footer menu hover Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_menuhover_color', 'lz_fitness_footer_copyright_settings', 'Footer Menu Hover Color', '#3b3634');

//theme Footer social Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_social_color', 'lz_fitness_footer_copyright_settings', 'Footer Social Color', '#ffffff');
//theme Footer social Hover Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_socialhover_color', 'lz_fitness_footer_copyright_settings', 'Footer Social Hover Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_footer_socialbgss_color', 'lz_fitness_footer_copyright_settings', 'Footer Social Background Color', '#ff7c4e');
addColorPalatOption($wp_customize, 'lz_fitness_footer_socialbgsshvr_color', 'lz_fitness_footer_copyright_settings', 'Footer Social Background Hover Color', '#fbb34d');

//theme Footer table text Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_tabletext_color', 'lz_fitness_footer_copyright_settings', 'Footer Table Text Color', '#696665');
//theme Footer table border Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_tableborder_color', 'lz_fitness_footer_copyright_settings', 'Footer Table Border Color', '#696665');
   
addColorPalatOption($wp_customize, 'lz_fitness_footer_formlabeltxt_color', 'lz_fitness_footer_copyright_settings', 'Footer Form & Calender label Text Color', '#696665');
 
//theme Footer form Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_form_color', 'lz_fitness_footer_copyright_settings', 'Footer Form Text & Placeholder Text Color', '#696665');

//theme Footer form border Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_formborder_color', 'lz_fitness_footer_copyright_settings', 'Footer Form text field & Calender background Color', '#fff');

//theme Footer form button Color 
addColorPalatOption($wp_customize, 'lz_fitness_footer_formbtn_color', 'lz_fitness_footer_copyright_settings', 'Footer Form Button Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_footer_formbtnhvrss_color', 'lz_fitness_footer_copyright_settings', 'Footer Form Button Hover Color', '#ffffff');

//theme Footer Form Button Background Color
addColorPalatOption($wp_customize, 'lz_fitness_footer_formbtnbg_color', 'lz_fitness_footer_copyright_settings', 'Footer Form Button Background Color', '#ff7c4e');
addColorPalatOption($wp_customize, 'lz_fitness_footer_formbtnbghvrss_color', 'lz_fitness_footer_copyright_settings', 'Footer Form Button Background Hover Color', '#fbb34d');

addColorPalatOption($wp_customize, 'lz_fitness_footer_menudate_color', 'lz_fitness_footer_copyright_settings', 'Posts & Calender active Date Text Color', '#ff7c4e');
addColorPalatOption($wp_customize, 'lz_fitness_footer_calendertxtc_color', 'lz_fitness_footer_copyright_settings', 'Calender Day Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_footer_calendertxtcbgssc_color', 'lz_fitness_footer_copyright_settings', 'Calender date Text background Color', '#121212');


addColorPalatOption($wp_customize, 'lz_fitness_footer_copyrighttext_color', 'lz_fitness_footer_copyright_settings', 'Copyright Footer Text Color', '#fff');
addColorPalatOption($wp_customize, 'lz_fitness_footer_copyrighttextbackbgss_color', 'lz_fitness_footer_copyright_settings', 'Copyright Footer Background Color', '#3b3634');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'lz_fitness_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

   $wp_customize->add_setting('luzuk_premium_shoppage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_shoppage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_shoppage_section_lbl',
            'section'       => 'lz_fitness_shopsidebar_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_section(
	'lz_fitness_innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'lz-fitness-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);


    $wp_customize->add_setting('luzuk_premium_colorsetting_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_colorsetting_section_lbl',
        array(
            'settings'      => 'luzuk_premium_colorsetting_section_lbl',
            'section'       => 'lz_fitness_innerpageshortcode_page_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_section(
	'lz_fitness_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Fonts Settings', 'lz-fitness-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

   $wp_customize->add_setting('luzuk_premium_innerpage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_innerpage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_innerpage_section_lbl',
            'section'       => 'lz_fitness_innerpagefont_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);
